package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProUserAuthDAO;
import com.philisense.www.mapper.ProUserAuthMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProUserAuthDAOImpl implements ProUserAuthDAO {
        @Autowired
        private ProUserAuthMapper proUserAuthMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proUserAuthMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proUserAuthMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proUserAuthMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proUserAuthMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proUserAuthMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proUserAuthMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proUserAuthMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proUserAuthMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proUserAuthMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proUserAuthMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proUserAuthMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proUserAuthMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proUserAuthMapper.updateBatch(list);
        }

        @Override
        public List<Map<String, Object>> getPageProUserByAuthId(Map<String, Object> map) {
            return proUserAuthMapper.getPageProUserByAuthId(map);
        }

        @Override
        public int getCountProUserByAuthId(Map<String, Object> map) {
            return proUserAuthMapper.getCountProUserByAuthId(map);
        }
}
